Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils.progress
Class ConsoleProgressMonitor

    java.lang.Object
      org.mindswap.pellet.utils.progress.AbstractProgressMonitor
          org.mindswap.pellet.utils.progress.ConsoleProgressMonitor

All Implemented Interfaces:
  ProgressMonitor

    public class ConsoleProgressMonitor

extends AbstractProgressMonitor
implements ProgressMonitor

Title:

Description:

Copyright: Copyright (c) 2006

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Field Summary
`boolean` | `CONSOLE`

Constructor Summary
`ConsoleProgressMonitor()`
`ConsoleProgressMonitor(int length)`

Method Summary
`void` | `taskFinished()`
`void` | `taskStarted()`

Methods inherited from class org.mindswap.pellet.utils.progress.AbstractProgressMonitor
`getProgress, getProgressLength, getProgressMessage, getProgressPercent, getProgressTitle, incrementProgress, isCanceled, setProgress, setProgressLength, setProgressMessage, setProgressTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.utils.progress.ProgressMonitor
`getProgress, getProgressPercent, incrementProgress, isCanceled, setProgress, setProgressLength, setProgressMessage, setProgressTitle`

Field Detail

### CONSOLE

    public boolean CONSOLE

Constructor Detail

### ConsoleProgressMonitor

    public ConsoleProgressMonitor()

### ConsoleProgressMonitor

    public ConsoleProgressMonitor(int length)

Method Detail

### taskStarted

    public void taskStarted()

  Specified by:
    `taskStarted` in interface `ProgressMonitor`
  Overrides:
    `taskStarted` in class `AbstractProgressMonitor`

### taskFinished

    public void taskFinished()

  Specified by:
    `taskFinished` in interface `ProgressMonitor`
  Overrides:
    `taskFinished` in class `AbstractProgressMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.